package com.smppw.analysis.application.dto.position.stock;

import com.smppw.analysis.application.dto.position.RefMarketValueRatio;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/6/6 17:36
 * @description 股票风险敞口走势 接口返回结构
 */
@Setter
@Getter
public class RiskExposureVO {
    /**
     * 估值日期
     */
    private String date;
    /**
     * 类型、市值和占比，包括风险敞口
     * 风险敞口=股票多头+股指多头-股票空头-股指空头-ETF融券
     */
    private List<RefMarketValueRatio> mvr;
}
